Synaptic no funciona

Imagen de Javier Carrera
0 puntos

Hola amiguetes. Llevo 6 meses usando mi ubuntu, asi que no soy tan nuevo. Estos foros me han servido como no tienen idea. Tanto, que recién ahora he tenido la necesidad de registrarme y enviar una consulta, porque para lo que me pasa no he encontrado respuesta, ni aqui ni en el foro gringo.

El asunto es que tras instalar Feisty desde cero hace dos semanas, no puedo bajar nada ni con Synaptic ni con Añadir y Quitar. Ambos programas se abren, pero cuando intento hacer algo, se cierran sin ningún mensaje GUI de error. Lo curioso es que Automatix si funciona. El problema lo detecté al intentar activar los efectos de escritorio: el gestor para bajar el controlador de la tarjeta video tampoco funciona. 

Se me ocurrió iniciar Synaptic desde el terminal, y al intentar hacer cualquier cosa como siempre se cierra pero en el terminal me sale esto: 

 (synaptic:10261): XML-CRITICAL **: Document is empty

(synaptic:10261): XML-CRITICAL **: Start tag expected, '<' not found

(synaptic:10261): GLib-CRITICAL **: g_string_free: assertion `string != NULL' failed

(synaptic:10261): libglade-WARNING **: did not finish in PARSER_FINISH state
synaptic: rggladewindow.cc:59: RGGladeWindow::RGGladeWindow(RGWindow*, std::string, std::string): Assertion `_gladeXML' failed.
Cancelado (core dumped)

Por lo que entiendo, quizá una reinstalación de Synaptic resuelva el problema; si es así, por favor diganme como lo hago. Y si la solución es otra, pues estaré muy agradecido de conocerla.

Saludos desde Ecuador

Imagen de kelp
+1
0
-1

Automatix si funciona?

Ui ui, qué mal fario da eso.

Puedes poner aquí el contenido de tu archivo sources.list?

Es posible que automatix haya petado tu sistema apt-get.

La gente tiene la manía de recomendarlo, cuando suele dar bastantes problemas... 

 


Equipo de moderadores del Foro
Normas

Mi Blog: Aceitunas sin hueso

 

+1
0
-1

Las tres cosas más peligrosas del mundo son: un programador con un soldador, un ingeniero de hardware con un parche de software y un usuario con una idea

Imagen de Gabriel_M
+1
0
-1

Hola:

Edita tu archivo sources.list

Comenta todas las entradas

(con almohadilla #)

Prueba synaptic

Saludos y suerte. 

Gabriel

+1
0
-1
Imagen de Javier Carrera
+1
0
-1

 Quiza exageré un poco con eso de que no soy tan nuevo:

1. Donde está el sources.list?

2. ¿Como hago esto?: "Comenta todas las entradas (con almohadilla #)"

Creo que el problema del synaptic fue anterior a la instalación del automatix, es más, creo que por eso mismo instalé el automatix.

 Gracias 

+1
0
-1

"Se ha dicho que la libertad es un sendero rara vez transitado por las masas."

Imagen de kelp
+1
0
-1

Escribe en una terminal:

 sudo gedit /etc/apt/sources.list

escribe tu contraseña

y cópianos aquí lo que tienes en el archivo que aparece. 

"Comentar" significa poner un simbolo # delante de cada línea (aunque sinceramente, no se que quiere conseguir comentando todas las líneas, lo único que conseguiras es no tener ningún repositorio activo). 

 


Equipo de moderadores del Foro
Normas

Mi Blog: Aceitunas sin hueso

 

+1
0
-1

Las tres cosas más peligrosas del mundo son: un programador con un soldador, un ingeniero de hardware con un parche de software y un usuario con una idea

Imagen de Gabriel_M
+1
0
-1

Hola Kelp:

Me ocurrió un par de veces, que al agregar repositorios, algo estaba mal y ni synaptic, ni aptitude ni apt-get funcionaban, informando errores disímiles y extraños.

Borrando completamente el contenido de sources.list, comenzaron a funcionar, luego lo que hice fue activar los repositorios.

En este caso, si sin repositorios activos aún falla, sería un error del programa (que habría que reinstalar) y no de sources.list.

Saludos.

Gabriel

+1
0
-1
Imagen de Javier Carrera
+1
0
-1

Gracias a los dos, Kelp y Gabriel, por el apoyo que me dan.

 Primero les copio el contenido de mi sources.list, a ver que les parece. Estoy tentado a usar la solución de Gabriel, si este contenido no nos dice nada. En cuyo caso quisiera saber si es difícil instalar los repositorios tras haberlos borrado.

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://archive.ubuntu.com/ubuntu/ feisty main restricted
deb-src http://archive.ubuntu.com/ubuntu/ feisty main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://archive.ubuntu.com/ubuntu/ feisty-updates main restricted
deb-src http://archive.ubuntu.com/ubuntu/ feisty-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://archive.ubuntu.com/ubuntu/ feisty universe
deb-src http://archive.ubuntu.com/ubuntu/ feisty universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://archive.ubuntu.com/ubuntu/ feisty multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://ec.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
# deb-src http://ec.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse

deb http://archive.ubuntu.com/ubuntu/ feisty-security main restricted
deb-src http://archive.ubuntu.com/ubuntu/ feisty-security main restricted
deb http://archive.ubuntu.com/ubuntu/ feisty-security universe
deb-src http://archive.ubuntu.com/ubuntu/ feisty-security universe
deb http://archive.ubuntu.com/ubuntu/ feisty-security multiverse
deb-src http://archive.ubuntu.com/ubuntu/ feisty-security multiverse

#AUTOMATIX REPOS START

deb http://www.getautomatix.com/apt feisty main

deb http://archive.canonical.com/ubuntu feisty-commercial main

deb http://archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse

deb http://archive.ubuntu.com/ubuntu/ feisty-updates universe multiverse

deb http://archive.ubuntu.com/ubuntu/ feisty-security restricted multiverse
#AUTOMATIX REPOS END

 

+1
0
-1

"Se ha dicho que la libertad es un sendero rara vez transitado por las masas."

Imagen de Bas
+1
0
-1

Mi sugerencia es que comentes todas las líneas desde donde dice #AUTOMATIX REPOS START hasta el final (haciendo como dice kelp, añadiendo # al principio de cada línea). Luego guarda y haz

sudo apt-get update

Si no, puedes probar lo que dice gabriel, que parece que le ha ido bien. Si te funciona, acuérdate luego de volver a dejar el sources.list como te digo (comentando sólo las líneas de automatix).

Estoy totalmente de acuerdo con kelp en que automatix, más tarde o más temprano, acaba fastidiando apt (aparte de que lo considero inútil, pero esa es sólo mi opinión como usuaria).


 

+1
0
-1
Imagen de Javier Carrera
+1
0
-1

Gracias nuevamente por la ayuda.

He intentado, sin resultado:

1. Poner las almohadillas.

2. Borrar el contenido del sources, y activar de nuevo los repositorios desde el menú Origenes del Software.

En este momento tengo el sources vacío y el synaptic da el mismo error. Según Gabriel, esto significa que el problema está en el programa. ¿Cómo lo reinstalo? ¿O hay alguna otra solución?

 

+1
0
-1

"Se ha dicho que la libertad es un sendero rara vez transitado por las masas."

Imagen de Gabriel_M
+1
0
-1

Hola:

Saca las almohadillas que pusiste.

y da la orden

sudo apt-get install synaptic

Si has borrado tu sources.list

copialo de tu post.

Saludos. 

Suerte.

 

Gabriel

+1
0
-1
Imagen de Javier Carrera
+1
0
-1

Gracias Gabriel.

Cuando pongo instalar el synaptic, me dice que ya tengo la versión más reciente:

 yura@yura:~$ sudo apt-get install synaptic
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias       
Leyendo información de estado... Hecho
synaptic ya está en su versión más reciente.
0 actualizados, 0 se instalarán, 0 para eliminar y 0 no actualizados.

+1
0
-1

"Se ha dicho que la libertad es un sendero rara vez transitado por las masas."

Imagen de Gabriel_M
+1
0
-1

Hola:

prueba con

sudo apt-get install -reinstall synaptic 
y con: 
sudo dpkg-reconfigure synaptic 

suerte

Gabriel

+1
0
-1
Imagen de Javier Carrera
+1
0
-1

Problema resuelto!

Hice un purge y un install del synaptic (lo instalé de nuevo) y ahora funciona perfectamente. Tuve que estar como root para desinstalarlo.

Los comandos que utilizé:

apt-get remove --purge synaptic

sudo apt-get install synaptic 

 

Gracias a tod@s por su ayuda! 

+1
0
-1

"Se ha dicho que la libertad es un sendero rara vez transitado por las masas."

Imagen de Gabriel_M
+1
0
-1

Hola:

¡¡¡Felicitaciones!!!

Por algún motivo en Feisty se la ha dado a synaptic por corromperse. 

¡Menos mal que no se corrompe apt-get! 

Saludos. 

Gabriel

+1
0
-1
Imagen de milinazaret
+1
0
-1

sudo apt-get update
Obj http://ve.archive.ubuntu.com lucid Release.gpg
Obj http://ve.archive.ubuntu.com/ubuntu/ lucid/main Translation-es
Des:1 http://packages.medibuntu.org lucid Release.gpg [197B]
Ign http://packages.medibuntu.org/ lucid/free Translation-es
Ign http://packages.medibuntu.org/ lucid/non-free Translation-es
Obj http://ve.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-es
Obj http://ve.archive.ubuntu.com/ubuntu/ lucid/universe Translation-es
Obj http://ve.archive.ubuntu.com/ubuntu/ lucid/multiverse Translation-es
Obj http://ve.archive.ubuntu.com lucid-updates Release.gpg
Ign http://ve.archive.ubuntu.com/ubuntu/ lucid-updates/main Translation-es
Ign http://ve.archive.ubuntu.com/ubuntu/ lucid-updates/restricted Translation-es
Ign http://ve.archive.ubuntu.com/ubuntu/ lucid-updates/universe Translation-es
Ign http://ve.archive.ubuntu.com/ubuntu/ lucid-updates/multiverse Translation-es
Obj http://ve.archive.ubuntu.com lucid-security Release.gpg
Ign http://ve.archive.ubuntu.com/ubuntu/ lucid-security/main Translation-es
Des:2 http://packages.medibuntu.org lucid Release [6854B]
Ign http://ve.archive.ubuntu.com/ubuntu/ lucid-security/restricted Translation-es
Ign http://ve.archive.ubuntu.com/ubuntu/ lucid-security/universe Translation-es
Ign http://ve.archive.ubuntu.com/ubuntu/ lucid-security/multiverse Translation-es
Obj http://ve.archive.ubuntu.com lucid Release
Obj http://ve.archive.ubuntu.com lucid-updates Release
Obj http://ve.archive.ubuntu.com lucid-security Release
Ign http://packages.medibuntu.org lucid Release
Obj http://ve.archive.ubuntu.com lucid/main Packages
Obj http://ve.archive.ubuntu.com lucid/restricted Packages
Des:3 http://ve.archive.ubuntu.com lucid/main Sources [659kB]
Obj http://packages.medibuntu.org lucid/free Packages
Obj http://packages.medibuntu.org lucid/non-free Packages
Des:4 http://ve.archive.ubuntu.com lucid/restricted Sources [3775B]
Obj http://ve.archive.ubuntu.com lucid/universe Packages
Obj http://ve.archive.ubuntu.com lucid/universe Sources
Obj http://ve.archive.ubuntu.com lucid/multiverse Packages
Obj http://ve.archive.ubuntu.com lucid/multiverse Sources
Obj http://ve.archive.ubuntu.com lucid-updates/main Packages
Obj http://ve.archive.ubuntu.com lucid-updates/restricted Packages
Obj http://ve.archive.ubuntu.com lucid-updates/main Sources
Obj http://ve.archive.ubuntu.com lucid-updates/restricted Sources
Obj http://ve.archive.ubuntu.com lucid-updates/universe Packages
Obj http://ve.archive.ubuntu.com lucid-updates/universe Sources
Obj http://ve.archive.ubuntu.com lucid-updates/multiverse Packages
Obj http://ve.archive.ubuntu.com lucid-updates/multiverse Sources
Obj http://ve.archive.ubuntu.com lucid-security/main Packages
Obj http://ve.archive.ubuntu.com lucid-security/restricted Packages
Obj http://ve.archive.ubuntu.com lucid-security/main Sources
Obj http://ve.archive.ubuntu.com lucid-security/restricted Sources
Obj http://ve.archive.ubuntu.com lucid-security/universe Packages
Obj http://ve.archive.ubuntu.com lucid-security/universe Sources
Obj http://ve.archive.ubuntu.com lucid-security/multiverse Packages
Obj http://ve.archive.ubuntu.com lucid-security/multiverse Sources
Descargados 669kB en 19s (33,6kB/s)
Leyendo lista de paquetes... ¡Error!
W: Duplicate sources.list entry http://ve.archive.ubuntu.com/ubuntu/ lucid/restricted Packages (/var/lib/apt/lists/ve.archive.ubuntu.com_ubuntu_dists_lucid_restricted_binary-i386_Packages)
W: Duplicate sources.list entry http://ve.archive.ubuntu.com/ubuntu/ lucid/restricted Translation-es (/var/lib/apt/lists/ve.archive.ubuntu.com_ubuntu_dists_lucid_restricted_i18n_Translation-es)
W: Duplicate sources.list entry http://ve.archive.ubuntu.com/ubuntu/ lucid/main Packages (/var/lib/apt/lists/ve.archive.ubuntu.com_ubuntu_dists_lucid_main_binary-i386_Packages)
W: Duplicate sources.list entry http://ve.archive.ubuntu.com/ubuntu/ lucid/main Translation-es (/var/lib/apt/lists/ve.archive.ubuntu.com_ubuntu_dists_lucid_main_i18n_Translation-es)
E: Dynamic MMap corrió fuera de la sala. Incremente el tamaño de APT::Cache-Limit. Valor actual: 15000000. (man 5 apt.conf)
E: Ocurrió un error mientras se procesaba language-pack-kde-be (NewVersion1)
E: Problem with MergeList /var/lib/apt/lists/ve.archive.ubuntu.com_ubuntu_dists_lucid-updates_main_binary-i386_Packages
W: Unable to munmap
E: No se pudieron analizar o abrir las listas de paquetes o el archivo de estado.

+1
0
-1

Comenzandito ;P